Vionlabs Profanity Detection API
Vionlabs API for retrieval of content profanity results.
Get item content profanity result status and data
Gets a profanity result status and classification data for a given title.
In: header
Path Parameters
Customer's identifier for a catalog item
Query Parameters
Specify profanity version code.
Response Body
curl -X GET "https://loading/results/profanity/v2/string?version=string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie",
"data": {
"inventory_id": "string",
"type": "movie",
"vionlabs_id": "string",
"version_id": "string",
"profanity": {
"label": "None"
}
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get item content profanity result status
Gets a profanity result status for a given title.
In: header
Path Parameters
Customer's identifier for a catalog item
Query Parameters
Specify profanity version code.
Response Body
curl -X GET "https://loading/results/profanity/v2/status/string?version=string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get paginated list of items with profanity results statuses and data ordered by creation/update timestamp
Gets a paginated list of items with profanity results statuses and metadata for the customer catalog
In: header
Query Parameters
Specifies start of time window (ISO 8601). If not specified then all results will be returned
Specifies end of time window (ISO 8601). If not specified then utcnow() value will be used.It is recommended to fix this argument while looping across pages to establish a fixed time window
Specifies a positional number of page with results
00 <= valueSpecifies a max number of results per page
5001 <= valueSpecifies Profanity version code
Response Body
curl -X GET "https://loading/results/profanity/v2/?from_utcdatetime=2024-03-06T20%3A00%3A00&to_utcdatetime=2024-03-07T20%3A00%3A00&page_num=0&page_size=500&version=string"{
"page_num": 0,
"page_size": 0,
"total_count": 0,
"data": []
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get item content profanity segments result status and data
Gets a list of speech segments containing profanity, with a corresponding profanity score.
In: header
Path Parameters
Customer's identifier for a catalog item
Query Parameters
Specify profanity version code.
Response Body
curl -X GET "https://loading/results/profanity/v2/segments/string?version=string"{
"status": "success",
"error": "string",
"updated": "2019-08-24T14:15:22Z",
"version_id": "string",
"inventory_id": "string",
"type": "movie",
"data": {
"inventory_id": "string",
"type": "movie",
"vionlabs_id": "string",
"version_id": "string",
"profanity": {
"segments": [
{
"start": 0,
"end": 0,
"score": 0
}
]
}
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}